---
title: "IPAM"
date: 2024-08-28T17:00:00+02:00
draft: false
---


documentation of lare.dn42 ip allocations:


## IPv6

| subnet                  | description                    |
| ----------------------- | ------------------------------ |
| fd63:5d40:47e5::/48     | whole ULA                      |
| fd63:5d40:47e5::/64     | nodes/routers                  |
| fd63:5d40:47e5::XXX/128 | ips of router/node with ID XXX |
| fd63:5d40:47e5:XXX0::/60| routed to node XXX (only some) |
| fd63:5d40:47e5:ac00::/56| anycast                        |
| fd63:5d40:47e5:ac53::/64| anycasted DNS  ::53 and ::1    |
| fd63:5d40:47e5:3000::/56| home lan                       |
| fd63:5d40:47e5:6900::/56| home lan (pi4) unused          |
| "old" allocations       | (nodes not with XXX0::/60)     |
| fd63:5d40:47e5:de01::/64| de01                           |
| fd63:5d40:47e5:de02::/64| de02                           |
| fd63:5d40:47e5:a402::/64| use2                           |
| fd63:5d40:47e5:aa01::/64| usw1                           |
| fd63:5d40:47e5:aa02::/64| usw2                           |
| fd63:5d40:47e5:e401::/64| uk01                           |

## IPv4

| subnet                  | description                    |
| ----------------------- | ------------------------------ |
| 172.22.125.128/26       | full allocation                |
| 172.22.125.128/28       | routers                        |
| 172.22.125.XXX/32       | ips of router/node with ID XXX |
| 172.22.125.144/28       | unallocated (except CA )       |
| 172.22.125.150/32       | ca.lare.dn42                   |
| 172.22.125.151/32       | registry.lare.dn42 (test restore of git.dn42) |
| 172.22.125.160/28       | clients                        |
| 172.22.125.176/28       | unallocated (except DNS)       |
| 172.22.125.18X/32       | travel routers (occasionally)   |
| 172.22.125.191/32       | anycast dns                    |


## node IDs:

| node | ID      |
| ---- | ------- |
| pi4  | 128,129 |
| DE01 | 130     |
| DE02 | 131     |
| USW1 | 132     |
| DE03 | 133     |
|      | 134-136 |
| USE2 | 137     |
| UK01 | 138     |

